> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hypedexer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Transactions in a specific block

> Transactions in a specific block



## OpenAPI

````yaml /elysium/openapi-rest.json get /elysium/testnet/blocks/{block_number}/transactions
openapi: 3.0.3
info:
  title: HL Indexer API — Elysium Testnet
  version: 1.0.0
  description: >-
    Elysium testnet (Kinetiq L2 on HyperEVM testnet, chain 99801): blocks,
    transactions, logs, batches, bridge HyperEVM ↔ Elysium, tokens and accounts.
servers:
  - url: https://api.hypedexer.com
    description: EU production
security: []
tags:
  - name: Elysium Testnet
    description: Elysium testnet chain, settlement batches, bridge, tokens and accounts.
paths:
  /elysium/testnet/blocks/{block_number}/transactions:
    get:
      tags:
        - Elysium Testnet
      summary: Transactions in a specific block
      description: Transactions in a specific block
      parameters:
        - name: block_number
          in: path
          schema:
            type: integer
            minimum: 0
            description: Block number
          required: true
          description: Block number
        - name: X-API-Key
          in: header
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    default: true
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ElysiumTransaction'
                  execution_time_ms:
                    type: number
                  has_more:
                    type: boolean
        '422':
          description: Invalid parameter
components:
  schemas:
    ElysiumTransaction:
      properties:
        block_time:
          format: date-time
          title: Block Time
          type: string
        block_number:
          title: Block Number
          type: integer
        tx_index:
          title: Tx Index
          type: integer
        tx_hash:
          title: Tx Hash
          type: string
        tx_type:
          title: Tx Type
          type: string
        from_addr:
          title: From Addr
          type: string
        to_addr:
          title: To Addr
          type: string
        contract_address:
          title: Contract Address
          type: string
        value_wei:
          title: Value Wei
          type: string
        nonce:
          title: Nonce
          type: integer
        gas_limit:
          title: Gas Limit
          type: integer
        gas_used:
          title: Gas Used
          type: integer
        gas_used_for_l1:
          title: Gas Used For L1
          type: integer
        effective_gas_price:
          title: Effective Gas Price
          type: integer
        success:
          title: Success
          type: integer
        input_len:
          title: Input Len
          type: integer
        method_id:
          title: Method Id
          type: string
        is_system:
          title: Is System
          type: integer
        is_spam:
          title: Is Spam
          type: integer
      required:
        - block_time
        - block_number
        - tx_index
        - tx_hash
        - tx_type
        - from_addr
        - to_addr
        - contract_address
        - value_wei
        - nonce
        - gas_limit
        - gas_used
        - gas_used_for_l1
        - effective_gas_price
        - success
        - input_len
        - method_id
        - is_system
        - is_spam
      title: ElysiumTransaction
      type: object

````